%define upstream_name Palm-PDB
%define upstream_version 1.400

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Parse Palm database files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Palm/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This distribution contains Palm::PDB and Palm::Raw, a pair of Perl 5
modules for reading, manipulating, and writing the .pdb and .prc
database files used by PalmOS devices such as the PalmPilot and its
successors.

These 2 modules were historically part of the p5-Palm distribution,
which is now just called Palm.  They have been split off into their
own distribution because they are also useful for manipulating the
Mobipocket e-book format, which is also used for Amazon Kindle books.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1031626
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 969017
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 858589
- imported package perl-Palm-PDB

